gasnet-doc-1.30.0-lp151.2.46.noarch.rpm


Advertisement

Description

gasnet-doc - Documentation for GASNet

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename gasnet-doc-1.30.0-lp151.2.46.noarch.rpm
Package name gasnet-doc
Package version 1.30.0
Package release lp151.2.46
Package architecture noarch
Package type rpm
Category Documentation/Other
Homepage https://gasnet.lbl.gov
License PostgreSQL
Maintainer -
Download size 472.07 KB
Installed size 955.26 KB
GASNet is a language-independent, low-level networking layer that provides
network-independent communication primitives tailored for
implementing parallel global address space SPMD languages
such as UPC, Titanium, and Co-Array Fortran.
This package contains the documentation for GASNet.

Alternatives

Package Version Architecture Repository
gasnet-doc - - -

Provides

Name Value
gasnet-doc = 1.30.0-lp151.2.46

Download

Type URL
Mirror widehat.opensuse.org
Binary Package gasnet-doc-1.30.0-lp151.2.46.noarch.rpm
Source Package gasnet-1.30.0-lp151.2.46.src.rpm

Install Howto

Install gasnet-doc rpm package:

# zypper install gasnet-doc

Files

Path
/usr/share/doc/GASNet/README
/usr/share/doc/GASNet/README-extref
/usr/share/doc/GASNet/README-ibv
/usr/share/doc/GASNet/README-mpi
/usr/share/doc/GASNet/README-mpi-spawner
/usr/share/doc/GASNet/README-ofi
/usr/share/doc/GASNet/README-pmi-spawner
/usr/share/doc/GASNet/README-psm
/usr/share/doc/GASNet/README-smp
/usr/share/doc/GASNet/README-ssh-spawner
/usr/share/doc/GASNet/README-tools
/usr/share/doc/GASNet/README-udp
/usr/share/doc/GASNet/autotuner.txt
/usr/share/doc/GASNet/gasnet.html
/usr/share/doc/GASNet/gasnet.pdf
/usr/share/doc/GASNet/gasnet.txt
/usr/share/doc/GASNet/license-ibv.txt
/usr/share/doc/GASNet/license-ofi.txt
/usr/share/doc/GASNet/license.txt

Changelog

2017-10-05 - nmoreychaisemartin@suse.com
- Force load of MPI environment
- Use OpenMPI2 instead of OpenMPI1 except for ppc64be (unsupported by OpenMPI >= 2)
2017-09-06 - nmoreychaisemartin@suse.com
- Force timer to use POSIX RT instead of native, as native is not
precise enough in VM and causes validation to crash.
2017-09-01 - junghans@votca.org
- Version update to 1.30.0:
* InfiniBand Verbs (ibv-conduit)
- Improve the handling of GASNET_PHYSMEM_* env vars
* Libfabric (ofi-conduit)
- Fix bug 3426: Unbounded recursion within gasnetc_ofi_poll()
- Significant improvements to AM buffer management and wire header overheads
- Finer-grained control over AM buffering, see ofi-conduit/README
- Initialization cleanups for stricter compliance with the OFI specification
- Support for the Intel(R) True Scale Fabric provider, psm, has been removed.
The Intel(R) Omni-Path Fabric is still supported through the psm2 provider.
- We now recommend ofi-conduit for the Intel Omni-Path fabric.
- The conduit has been validated on libfabric version 1.5.0.
* Intel Omni-Path PSM2 (psm-conduit)
- This conduit is now DEPRECATED.
- Use of ofi-conduit with libfabric's psm2 provider is recommended for users
of the Intel Omni-Path fabric.
* GASNet tools
- Fix bug 3448: x86*/Linux timers once again default to use of the TSC due
to addition of new logic for correct calibration on newer Intel CPUs.
- Add gasnett_nsleep()
2017-08-11 - bwiedemann@suse.com
- Add gasnet-build-id.patch to fix build-compare (boo#1047218)
2017-06-30 - nmoreychaisemartin@suse.com
- Remove BuildRequires for libpsm2-compat
- Build with OFI support on x86
2017-06-09 - nmoreychaisemartin@suse.com
- Enable OFI conduit on x86_64
- Disable debug to build GASnet in optimized mode
- Add gasnet-date-time.patch to remove build date/times from binaries
- Add gasnet-s390-support.patch and enable s390/s390x builds
2017-06-08 - nmoreychaisemartin@suse.com
- Remove version dependency to libibverbs
2017-05-31 - nmoreychaisemartin@suse.com
- Build gasnet for all arch but s390*, s390x not supported by upstream:
https://upc-bugs.lbl.gov/bugzilla/show_bug.cgi?id=3523
- PSM2 support is only for x86_64
2017-05-16 - nmoreychaisemartin@suse.com
- Support gasnet over OFI and ibverbs
2017-04-07 - pth@suse.de
- Remove conflict marker.

See Also

Package Description
gaupol-1.3.1-lp151.2.45.noarch.rpm GTK Subtitle editor
gavl-1.4.0rsvn4256-lp151.2.3.x86_64.rpm Library which provides basic support for uncompressed multimedia data
gawk-4.2.1-lp151.2.70.x86_64.rpm GNU awk
gbdfed-1.6-lp151.2.3.x86_64.rpm A Gtk-based BDF Font Editor, Descendant of XmBDFed
gbrainy-2.3.5-lp151.2.66.noarch.rpm A brain teaser game and trainer
gbrainy-lang-2.3.5-lp151.2.66.noarch.rpm Translations for package gbrainy
gc-devel-7.6.4-lp151.2.2.x86_64.rpm A garbage collector for C and C++
gcab-1.1-lp151.2.2.x86_64.rpm Cabinet file library and tool
gcab-devel-1.1-lp151.2.2.x86_64.rpm Development files for the gcab cabinet file library
gcab-lang-1.1-lp151.2.2.noarch.rpm Translations for package gcab
gcad3d-2.352+git20170420.b5668e9-lp151.2.3.x86_64.rpm 3D CAD-CAM application
gcal-4.1-lp151.2.3.x86_64.rpm A Program for Printing Calendars
gcal-lang-4.1-lp151.2.3.noarch.rpm Translations for package gcal
gcc-32bit-7-lp151.3.5.x86_64.rpm The system GNU C Compiler
gcc-7-lp151.3.5.x86_64.rpm The system GNU C Compiler
Advertisement
Advertisement